Subject: Re: [PATCH net-next v5] ethtool: add netlink based get rss support

From: Jakub Kicinski <[email-masked]>
Date: Wed, 23 Nov 2022 19:30:48 -0800

On Wed, 23 Nov 2022 10:48:46 -0800 Sudheer Mogilappagari wrote:
> +  ``ETHTOOL_A_RSS_RINGS``              u32     Ring count

Let's not put the number of rings in RSS.

I keep having to explain to people how to calculate the correct number
of active RX rings. If the field is in the channels API hopefully
they'll just use it.

The max ring being in RXFH seems like a purely historic / legacy thing.